#ifndef WIDGET_H
#define WIDGET_H

#include <QtGui/QWidget>

class QComboBox;
class QPushButton;

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

    void modifyN( int n, bool addOrRemove );

private slots:
    void onAdd();
    void onSet5();
    void onSet10();
    void onSet100();
    void onRemove();
    void onClear();

private:
    QComboBox* m_cb;
    QPushButton* m_add;
    QPushButton* m_remove;
    QPushButton* m_clear;

    QPushButton* m_set5;
    QPushButton* m_set10;
    QPushButton* m_set100;
    int m_i;
};

#endif // WIDGET_H
